package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// 产品
type Product struct {
	Id         primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	SupplyId   primitive.ObjectID `bson:"supplyId,omitempty" json:"supplyId"`
	SenceId    primitive.ObjectID `bson:"senceId,omitempty" json:"senceId"` // 场景id，3d展示
	Name       string             `bson:"name,omitempty" json:"name"`
	Type       string             `bson:"type,omitempty" json:"type"` // 类型 单鞋：shoes 凉鞋：sandals 靴子：boots
	Unit       string             `bson:"unit,omitempty" json:"unit"` // 型号
	Price      float64            `bson:"price,omitempty" json:"price"`
	Cover      string             `bson:"cover,omitempty" json:"cover"` // 封面图
	Colors     []*ColorObj        `bson:"colors,omitempty" json:"colors"`
	Size       []int              `bson:"size,omitempty" json:"size"`                 // 尺寸
	Thumbnail  []string           `bson:"thumbnail,omitempty" json:"thumbnail"`       // 缩略图集合
	Status     int                `bson:"status,omitempty" json:"status"`             // -1:下架 1:上架
	OnsaleTime time.Time          `bson:"onsaleTime,omitempty" json:"onsaleTimeTime"` // 上架时间
	CreateTime time.Time          `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time          `bson:"updateTime,omitempty" json:"updateTime"`
}

type ColorObj struct {
	ColorStr string `bson:"colorStr,omitempty" json:"colorStr"`
	DevLink  string `bson:"devLink,omitempty" json:"devLink"`
	ProdLink string `bson:"prodLink,omitempty" json:"prodLink"`
}
